<?php
if (!defined('ABSPATH')) exit;

class IPM_Support {

    public static function init() {
        add_shortcode('ipm_support_tabs', [__CLASS__, 'render_shortcode']);
        add_action('wp_enqueue_scripts', [__CLASS__, 'assets']);
    }

    public static function assets() {
        wp_enqueue_style(
            'ipm-support',
            IPM_PLUGIN_URL . 'includes/support/frontend/assets/support.css',
            [],
            IPM_VERSION
        );
    }

    public static function render_shortcode() {
        ob_start();
        include IPM_PLUGIN_DIR . 'includes/support/frontend/support-view.php';
        return ob_get_clean();
    }
}
